## kwayland 6.5.0+p24.04+vstable+git20251021.0715

=== debian/changelog ===
kwayland (4:6.5.0+p24.04+vstable+git20251021.0715-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:15:19 +0000

kwayland (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:24:20 +0000
