## kwayland 6.5.0+p24.04+vstable+git20251028.1257

=== debian/changelog ===
kwayland (4:6.5.0+p24.04+vstable+git20251028.1257-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:57:21 +0000
