## kwayland 6.5.1+p24.04+vstable+git20251029.0659

=== debian/changelog ===
kwayland (4:6.5.1+p24.04+vstable+git20251029.0659-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:59:41 +0000

kwayland (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:47:23 +0000
