=== debian/control ===
Source: kwayland
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               libegl1-mesa-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-wayland-dev,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/frameworks/kwayland
Vcs-Git: https://invent.kde.org/neon/kde/kwayland.git
Vcs-Browser: https://invent.kde.org/neon/kde/kwayland
Maintainer: Neon CI <neon@kde.org>

Package: kwayland
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kf6-kwayland,
          kwayland-data,
          kwayland6,
          kwayland6-data,
          libkf6wayland-doc,
          libkf6waylandclient6,
          libkf6waylandserver6
Description: Qt library wrapper for Wayland libraries - data files
 KWayland provides a Qt-style Server library wrapper for
 the Wayland libraries.

Package: kwayland-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kwayland (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Replaces: kf6-kwayland-dev, kwayland6-dev, libkf6wayland-dev
Priority: optional
Description: Qt library wrapper for Wayland libraries - data files
 KWayland provides a Qt-style Server library wrapper for
 the Wayland libraries.
 .
 Dev files.

Package: libkf6wayland-dev
Architecture: all
Depends: kwayland-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6wayland-doc
Architecture: all
Depends: kwayland-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6waylandclient6
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6waylandserver6
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kwayland
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-kwayland-dev
Architecture: all
Depends: kwayland-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kwayland6
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kwayland6-data
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kwayland-data
Architecture: all
Depends: kwayland, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
