## kwayland 6.5.2+p24.04+vunstable+git20251106.1003

=== debian/changelog ===
kwayland (4:6.5.2+p24.04+vunstable+git20251106.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 10:03:21 +0000

kwayland (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:52 +1000
