## kwayland 6.5.3+p24.04+vunstable+git20251122.2351

=== debian/changelog ===
kwayland (4:6.5.3+p24.04+vunstable+git20251122.2351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 23:51:30 +0000

kwayland (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:36 +1000
