## kwayland 6.5.4+p24.04+vstable+git20251209.1136

=== debian/changelog ===
kwayland (4:6.5.4+p24.04+vstable+git20251209.1136-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 11:36:24 +0000

kwayland (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:51 +1000
