=== debian/changelog ===
kwayland (4:6.5.4+p24.04+vunstable+git20251209.1136-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 11:36:28 +0000
