=== debian/changelog ===
kwayland (4:6.5.5+p24.04+vstable+git20260131.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:22:48 +0000
