=== debian/changelog ===
kwayland (4:6.5.5+p24.04+vunstable+git20260113.2238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 22:38:45 +0000
